Bug 159057 - ports-mgmt/portlint: false warning about RUN_DEPENDS format
Summary: ports-mgmt/portlint: false warning about RUN_DEPENDS format
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-20 12:50 UTC by R.Mahmatkhanov
Modified: 2011-08-22 00:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description R.Mahmatkhanov 2011-07-20 12:50:10 UTC
Good day!

We have some useful dependecies shortcuts like PYNUMERIC, NUMPY, PYXML (bsd.python.mk), that later expands to full-format dependency line, and 
that portlint treats as incorrect. 

F.e.:

Add this line into some Makefile:

RUN_DEPENDS+=  ${PYXML}

Then run porlint:

"""
WARN: Makefile: wrong dependency value for RUN_DEPENDS. RUN_DEPENDS requires 2 or 3 colon-separated tuples.
"""

I think that this behavior is incorrect and should be fixed somehow.
Thanks.
Comment 1 Edwin Groothuis freebsd_committer 2011-07-20 12:50:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marcus

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Joe Marcus Clarke freebsd_committer 2011-07-24 22:46:33 UTC
State Changed
From-To: open->patched

Fixed in my CVS repo.
Comment 3 dfilter service freebsd_committer 2011-08-22 00:35:36 UTC
marcus      2011-08-21 23:35:27 UTC

  FreeBSD ports repository

  Modified files:
    ports-mgmt/portlint  Makefile 
    ports-mgmt/portlint/src portlint.pl 
  Log:
  Update to 2.13.7.
  
  * Change a comment to relfect the check number [1]
  * Add a check to see if a file that ends in ".core" was checked into CVS [2]
  * Do a proper check for 2 or 3 tuple depends [3]
  * Correct the detection of the WWW string in pkg-descr [4]
  
  PR:             159057 [3]
                  159522 [4]
  Reported by:    Ilya A. Arkhipov <micro@heavennet.ru> [1]
  Requested by:   netchild [2]
  Sbumitted by:   sunpoet [4]
  
  Revision  Changes    Path
  1.147     +1 -1      ports/ports-mgmt/portlint/Makefile
  1.124     +15 -5     ports/ports-mgmt/portlint/src/portlint.pl
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Joe Marcus Clarke freebsd_committer 2011-08-22 00:35:51 UTC
State Changed
From-To: patched->closed

Fixed in 2.13.7.